Bug 243616 - Open "Metadata Browser" crashes f-spot
Open "Metadata Browser" crashes f-spot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: f-spot (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Orphan Owner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-10 16:22 EDT by Jonathan Berry
Modified: 2008-06-16 21:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:32:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Berry 2007-06-10 16:22:35 EDT
Description of problem:
Attempting to open the "Metadata Browser" causes f-spot to crash.

Version-Release number of selected component (if applicable):
f-spot-0.3.5-2.fc7.x86_64

$ rpm -qa | grep "mono"
mono-winforms-1.2.3-3.fc7.x86_64
mono-debugger-0.31-2.fc7.x86_64
mono-core-1.2.3-3.fc7.x86_64
mono-data-1.2.3-3.fc7.x86_64
mono-data-sqlite-1.2.3-3.fc7.x86_64
mono-web-1.2.3-3.fc7.x86_64
mono-extras-1.2.3-3.fc7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Open f-spot
2. Select a photo
3. Click View -> Metadata Browser or Ctrl+I key short cut
4. f-spot crashes

Additional info: Traceback from Mono:
An unhandled exception was thrown: Exception has been thrown by the target of an
invocation.

  at System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags
invokeAttr, System.Reflection.Binder binder, System.Object[] parameters,
System.Globalization.CultureInfo culture) [0x00000] 
  at System.Reflection.MonoProperty.GetValue (System.Object obj, BindingFlags
invokeAttr, System.Reflection.Binder binder, System.Object[] index,
System.Globalization.CultureInfo culture) [0x00000] 
  at System.Reflection.PropertyInfo.GetValue (System.Object obj, System.Object[]
index) [0x00000] 
  at GLib.Object.LookupGType (System.Type t) [0x00000] 
  at GLib.Object.RegisterGType (System.Type t) [0x00000] 
  at GLib.Object.LookupGType (System.Type t) [0x00000] 
  at GLib.Object.LookupGType () [0x00000] 
  at GLib.Object.CreateNativeObject (System.String[] names, GLib.Value[] vals)
[0x00000] 
  at Gtk.Object.CreateNativeObject (System.String[] names, GLib.Value[] vals)
[0x00000] 
  at Gtk.Widget.CreateNativeObject (System.String[] names, GLib.Value[] vals)
[0x00000] 
  at Gtk.HTML..ctor () [0x00000] 
  at FSpot.InfoDisplay..ctor () [0x00000] 
  at MainWindow.HandleViewFullExif (System.Object sender, System.EventArgs args)
[0x00000] 
  at (wrapper delegate-invoke)
System.MulticastDelegate:invoke_void_object_EventArgs (object,System.EventArgs)
  at GLib.Signal.voidObjectCallback (IntPtr handle, IntPtr gch) [0x00000] 
  at (wrapper native-to-managed) GLib.Signal:voidObjectCallback (intptr,intptr)
  at <0x00000> <unknown method>
  at (wrapper managed-to-native) Gtk.Application:gtk_main ()
  at Gtk.Application.Run () [0x00000] 
  at Gnome.Program.Run () [0x00000] 
  at FSpot.Driver.Main (System.String[] args) [0x00000] 
.NET Version: 2.0.50727.42

Assembly Version Information:

System.Configuration (2.0.0.0)
System.Web (2.0.0.0)
System.Xml (2.0.0.0)
google-sharp (0.1.0.0)
FlickrNet (2.1.2.27252)
SmugMugNet (0.0.0.0)
pango-sharp (2.10.0.0)
SemWeb (0.7.1.0)
glade-sharp (2.10.0.0)
gtkhtml-sharp (2.16.0.0)
System.Transactions (2.0.0.0)
gconf-sharp (2.16.0.0)
System.Data (2.0.0.0)
Mono.Data.SqliteClient (2.0.0.0)
gdk-sharp (2.10.0.0)
gnome-vfs-sharp (2.16.0.0)
NDesk.DBus.GLib (0.3.0.0)
NDesk.DBus (1.0.0.0)
System (2.0.0.0)
Mono.Posix (2.0.0.0)
atk-sharp (2.10.0.0)
gtk-sharp (2.10.0.0)
glib-sharp (2.10.0.0)
gnome-sharp (2.16.0.0)
f-spot (0.3.5.0)
Mono.GetOptions (2.0.0.0)
mscorlib (2.0.0.0)

Platform Information: Linux 2.6.21-1.3194.fc7 x86_64 x86_64 GNU/Linux

Distribution Information:

[/etc/redhat-release]
Fedora release 7 (Moonshine)

[/etc/fedora-release]
Fedora release 7 (Moonshine)
Comment 1 Bug Zapper 2008-05-14 08:59:40 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 21:32:14 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.